Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.repository
Class RuleRepositoryConstants

`java.lang.Object
oracle.rules.sdk.repository.RuleRepositoryConstants`

public class RuleRepositoryConstants
extends java.lang.Object

Field Summary
`static java.lang.String` | `CODE_VERSION`
`static java.lang.String` | `DATAMODEL`
`static java.lang.String` | `DOCUMENT_VERSION`
`static java.lang.String` | `MARKER_LATEST`
`static java.lang.String` | `OPTIONS`
`static java.lang.String` | `OPTIONS_FILENAME`
`static int` | `READ_ONLY`
`static java.lang.String` | `RULESET`
`static java.lang.String` | `SEP`
`static java.lang.String` | `WILDCARD`
`static int` | `WRITE`

Constructor Summary
`RuleRepositoryConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### READ_ONLY

    public static final int READ_ONLY

  See Also:
    Constant Field Values

### WRITE

    public static final int WRITE

  See Also:
    Constant Field Values

### SEP

    public static final java.lang.String SEP

### OPTIONS_FILENAME

    public static final java.lang.String OPTIONS_FILENAME

  See Also:
    Constant Field Values

### CODE_VERSION

    public static final java.lang.String CODE_VERSION

  See Also:
    Constant Field Values

### DOCUMENT_VERSION

    public static final java.lang.String DOCUMENT_VERSION

  See Also:
    Constant Field Values

### WILDCARD

    public static final java.lang.String WILDCARD

  See Also:
    Constant Field Values

### RULESET

    public static final java.lang.String RULESET

  See Also:
    Constant Field Values

### DATAMODEL

    public static final java.lang.String DATAMODEL

  See Also:
    Constant Field Values

### OPTIONS

    public static final java.lang.String OPTIONS

  See Also:
    Constant Field Values

### MARKER_LATEST

    public static final java.lang.String MARKER_LATEST

  See Also:
    Constant Field Values

Constructor Detail

### RuleRepositoryConstants

    public RuleRepositoryConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.